#include <R.h>
#include <Rinternals.h>
#include <R_ext/Rdynload.h>

extern SEXP C_ngram_core(SEXP, SEXP, SEXP);

static const R_CallMethodDef CallEntries[] = {
    {"C_ngram_core", (DL_FUNC) &C_ngram_core, 3},
    {NULL, NULL, 0}
};

void R_init_sumer(DllInfo *dll) {
    R_registerRoutines(dll, NULL, CallEntries, NULL, NULL);
    R_useDynamicSymbols(dll, FALSE);
}
